// (c) Copyright 1995-2014 Xilinx, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Xilinx, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Xilinx, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Xilinx shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Xilinx had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Xilinx products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Xilinx products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.

// IP VLNV: xilinx.com:ip:mdm:3.0
// IP Revision: 2

// The following must be inserted into your Verilog file for this
// core to be instantiated. Change the instance name and port connections
// (in parentheses) to your own signal names.

//----------- Begin Cut here for INSTANTIATION Template ---// INST_TAG
design_1_mdm_0_0 your_instance_name (
  .S_AXI_ACLK(S_AXI_ACLK),        // input S_AXI_ACLK
  .S_AXI_ARESETN(S_AXI_ARESETN),  // input S_AXI_ARESETN
  .Interrupt(Interrupt),          // output Interrupt
  .Debug_SYS_Rst(Debug_SYS_Rst),  // output Debug_SYS_Rst
  .S_AXI_AWADDR(S_AXI_AWADDR),    // input [31 : 0] S_AXI_AWADDR
  .S_AXI_AWVALID(S_AXI_AWVALID),  // input S_AXI_AWVALID
  .S_AXI_AWREADY(S_AXI_AWREADY),  // output S_AXI_AWREADY
  .S_AXI_WDATA(S_AXI_WDATA),      // input [31 : 0] S_AXI_WDATA
  .S_AXI_WSTRB(S_AXI_WSTRB),      // input [3 : 0] S_AXI_WSTRB
  .S_AXI_WVALID(S_AXI_WVALID),    // input S_AXI_WVALID
  .S_AXI_WREADY(S_AXI_WREADY),    // output S_AXI_WREADY
  .S_AXI_BRESP(S_AXI_BRESP),      // output [1 : 0] S_AXI_BRESP
  .S_AXI_BVALID(S_AXI_BVALID),    // output S_AXI_BVALID
  .S_AXI_BREADY(S_AXI_BREADY),    // input S_AXI_BREADY
  .S_AXI_ARADDR(S_AXI_ARADDR),    // input [31 : 0] S_AXI_ARADDR
  .S_AXI_ARVALID(S_AXI_ARVALID),  // input S_AXI_ARVALID
  .S_AXI_ARREADY(S_AXI_ARREADY),  // output S_AXI_ARREADY
  .S_AXI_RDATA(S_AXI_RDATA),      // output [31 : 0] S_AXI_RDATA
  .S_AXI_RRESP(S_AXI_RRESP),      // output [1 : 0] S_AXI_RRESP
  .S_AXI_RVALID(S_AXI_RVALID),    // output S_AXI_RVALID
  .S_AXI_RREADY(S_AXI_RREADY),    // input S_AXI_RREADY
  .Dbg_Clk_0(Dbg_Clk_0),          // output Dbg_Clk_0
  .Dbg_TDI_0(Dbg_TDI_0),          // output Dbg_TDI_0
  .Dbg_TDO_0(Dbg_TDO_0),          // input Dbg_TDO_0
  .Dbg_Reg_En_0(Dbg_Reg_En_0),    // output [0 : 7] Dbg_Reg_En_0
  .Dbg_Capture_0(Dbg_Capture_0),  // output Dbg_Capture_0
  .Dbg_Shift_0(Dbg_Shift_0),      // output Dbg_Shift_0
  .Dbg_Update_0(Dbg_Update_0),    // output Dbg_Update_0
  .Dbg_Rst_0(Dbg_Rst_0)          // output Dbg_Rst_0
);
// INST_TAG_END ------ End INSTANTIATION Template ---------

// You must compile the wrapper file design_1_mdm_0_0.v when simulating
// the core, design_1_mdm_0_0. When compiling the wrapper file, be sure to
// reference the Verilog simulation library.

