
 PARAMETER VERSION = 2.2.0


BEGIN OS
 PARAMETER OS_NAME = xilkernel
 PARAMETER OS_VER = 5.01.a
 PARAMETER PROC_INSTANCE = microblaze_0
 PARAMETER STDIN = mdm_0
 PARAMETER STDOUT = mdm_0
 PARAMETER SYSTMR_SPEC = true
 PARAMETER SYSTMR_DEV = axi_timer_0
 PARAMETER SYSINTC_SPEC = axi_intc_0
 PARAMETER SYSTMR_FREQ = 125000000
 PARAMETER MAX_PTHREADS = 20
 PARAMETER PTHREAD_STACK_SIZE = 32768
 PARAMETER CONFIG_TIME = true
 PARAMETER MAX_TMRS = 20
 PARAMETER CONFIG_SEMA = true
 PARAMETER MAX_SEM = 20
 PARAMETER MAX_SEM_WAITQ = 20
 PARAMETER ENHANCED_FEATURES = true
 PARAMETER CONFIG_KILL = true
 PARAMETER CONFIG_YIELD = true
END


BEGIN PROCESSOR
 PARAMETER DRIVER_NAME = cpu
 PARAMETER DRIVER_VER = 1.15.a
 PARAMETER HW_INSTANCE = microblaze_0
END


BEGIN DRIVER
 PARAMETER DRIVER_NAME = axiethernet
 PARAMETER DRIVER_VER = 3.02.a
 PARAMETER HW_INSTANCE = axi_ethernet_0_eth_buf
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = llfifo
 PARAMETER DRIVER_VER = 2.03.a
 PARAMETER HW_INSTANCE = axi_fifo_mm_s_0
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = gpio
 PARAMETER DRIVER_VER = 3.01.a
 PARAMETER HW_INSTANCE = axi_gpio_0
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = iic
 PARAMETER DRIVER_VER = 2.08.a
 PARAMETER HW_INSTANCE = axi_iic_0
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = iic
 PARAMETER DRIVER_VER = 2.08.a
 PARAMETER HW_INSTANCE = axi_iic_1
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = intc
 PARAMETER DRIVER_VER = 2.06.a
 PARAMETER HW_INSTANCE = axi_intc_0
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = tmrctr
 PARAMETER DRIVER_VER = 2.05.a
 PARAMETER HW_INSTANCE = axi_timer_0
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = bram
 PARAMETER DRIVER_VER = 3.03.a
 PARAMETER HW_INSTANCE = lmb_bram_if_cntlr_0
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = bram
 PARAMETER DRIVER_VER = 3.03.a
 PARAMETER HW_INSTANCE = lmb_bram_if_cntlr_1
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = uartlite
 PARAMETER DRIVER_VER = 2.01.a
 PARAMETER HW_INSTANCE = mdm_0
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = mig_7series
 PARAMETER DRIVER_VER = 1.00.a
 PARAMETER HW_INSTANCE = mig_7series_0
END

BEGIN DRIVER
 PARAMETER DRIVER_NAME = sysmon
 PARAMETER DRIVER_VER = 5.03.a
 PARAMETER HW_INSTANCE = xadc_wiz_0
END


BEGIN LIBRARY
 PARAMETER LIBRARY_NAME = xilmfs
 PARAMETER LIBRARY_VER = 1.00.a
 PARAMETER PROC_INSTANCE = microblaze_0
END

BEGIN LIBRARY
 PARAMETER LIBRARY_NAME = lwip140
 PARAMETER LIBRARY_VER = 1.06.a
 PARAMETER PROC_INSTANCE = microblaze_0
 PARAMETER API_MODE = SOCKET_API
 PARAMETER ARP_TABLE_SIZE = 20
 PARAMETER LWIP_STATS = true
 PARAMETER LWIP_DEBUG = true
 PARAMETER NETIF_DEBUG = true
END

